QGIS Application - Bug report #7994
legend spacing broken for layer set to "hidden"
2013-06-03 08:00 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Radim Blazek

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16845
Description

It appears that when a QGIS composer legend's layer is set to hidden, it fails to take into account the previous item offset when rendering
legend box. It's a bit hard to explain in words, | believe the attached screenshot does a better at describing the issue.

I've also created a dummy project file with a composer that shows the symptoms to facilitate debugging.

This appears to be the last remaining issue for QGIS composer legends item placement. Reluctant to set it as blocker, so will leave it as
high, but IMO should be fixed prior to 2.0.

Associated revisions

Revision 499db4ec - 2013-06-10 02:14 PM - Radim Blazek

composer legend spacing corrected, fixes #7994

History

#1 - 2013-06-10 05:08 AM - Radim Blazek
- Status changed from Open to Closed

Fixed in changeset commit:"499db4ecc8d91343f16c73da3575ff478303dde3".

#2 - 2013-06-10 05:12 AM - Radim Blazek

| have changed a bit spacing. Instead of using group top margin for space between the title and the first item in column it is now using new "Title space”
which is space below title (it is written in tooltip).

It should now work as expected.

#3 - 2013-06-10 09:05 PM - Mathieu Pellerin - nIRV

Radim, great, working like a charm here. Also, glad you introduced the title spacing option, that was needed. Cheers
